Name:           caciocavallo
Version:        1.1
Release:        1%{?dist}
Summary:        Portable GUI backends for Java
Group:          Development/Libraries

License:        GPLv2+ with exceptions
URL:            http://openjdk.java.net/projects/caciocavallo/
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  maven
BuildRequires:  junit4
BuildRequires:  fest-swing-junit-45

Requires:       jpackage-utils
Requires:       java

%description
Caciocavallo is a framework for porting backends for the Java GUI stack.

%package shared
Summary:       Shared framework of Caciocavallo

%description shared

Caciocavallo is a framework for porting backends for the Java GUI stack.

This package contains the shared framework of %{name}.

%package tta
Summary:       Testing framework of Caciocavallo
Requires:      caciocavallo-shared

%description tta

Caciocavallo is a framework for porting backends for the Java GUI stack.

This package contains the testing framework for %{name}.

%package javadoc
Summary:        JavaDocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
Caciocavallo is a framework for porting backends for the Java GUI stack.

This package contains the API documentation for %{name}.

%prep
%setup -q

%build
mvn-rpmbuild install javadoc:aggregate

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p cacio-shared/target/cacio-shared-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-shared.jar
cp -p cacio-tta/target/cacio-tta-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tta.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml  \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 cacio-shared/pom.xml  \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-shared.pom
install -pm 644 cacio-tta/pom.xml  \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-tta.pom

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%add_maven_depmap JPP-%{name}.pom
%add_maven_depmap JPP-%{name}-shared.pom %{name}-shared.jar
%add_maven_depmap JPP-%{name}-tta.pom %{name}-tta.jar -f "tta"

%files shared
%{_javadir}/%{name}-shared.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavenpomdir}/JPP-%{name}-shared.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE

%files tta
%{_javadir}/%{name}-tta.jar
%{_mavenpomdir}/JPP-%{name}-tta.pom
%{_mavendepmapfragdir}/%{name}-tta
%doc LICENSE

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE

%changelog
* Thu May 03 2012 Roman Kennke <rkennke@redhat.com> 1.1-1
- Initial package
